Vai al contenuto

database_api.list_vesting_delegations ​

since HF17

Purpose ​

Restituisce un elenco di deleghe di vesting (vesting delegation). Parametri: start:array, limit:int, order:string

  • limit è fino a 1000.
  • order può essere uno tra:
    • by_delegation - ordina per deleghe
      • start è un array di due valori: delegator, delegatee
start (array)limit (int)order (string)
["", ""]10by_delegationInterroga le deleghe, limite a 10 risultati, ordina per deleghe.

Vedere anche: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_vesting_delegations",
    "params": {
      "start": [
        "",
        ""
      ],
      "limit": 10,
      "order": "by_delegation"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "delegations": [
    {
      "id": 554317,
      "delegator": "a-0-0-0",
      "delegatee": "a-0-0",
      "vesting_shares": {
        "amount": "6141067173",
        "precision": 6,
        "nai": "@@000000037"
      },
      "min_delegation_time": "2018-01-24T22:23:54"
    }
  ]
}